Subject: Re: [PATCH V4 5/5] powerpc/kvm/stats: Implement existing and add new halt polling vcpu stats

From: Christian Borntraeger <[email-masked]>
Date: Tue, 19 Jul 2016 10:41:21 +0200

On 07/19/2016 10:12 AM, Suraj Jitindar Singh wrote:

> Also add new vcpu stats: halt_poll_success_ns, halt_poll_fail_ns and
> halt_wait_ns to be used to accumulate the total time spend polling
> successfully, polling unsuccessfully and waiting respectively, and
> halt_successful_wait to accumulate the number of times the vcpu waits.
> Given that halt_poll_success_ns, halt_poll_fail_ns and halt_wait_ns are
> expressed in nanoseconds it is necessary to represent these as 64-bit
> quantities, otherwise they would overflow after only about 4 seconds.

Paolo, would these new kvm_stats also be useful for the base implementation?